<main>
    <!-- Slider main container -->
    <div class="swiper-container">

        <!-- swiper slides -->
        <div class="swiper-wrapper">
            <% for (var i=1; i <=5;  i++ ) { %> 
                <div class="swiper-slide" style="background-image: url(https://source.unsplash.com/featured/?art-gallery?sig=<%=i%>4);">
                    <h2>Slide Artwork <%= i %></h2>
                </div>
            <% } %>
        </div>
        <!-- !swiper slides -->
        
        <!-- next / prev arrows -->
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
        <!-- !next / prev arrows -->
        
        <!-- pagination dots -->
        <div class="swiper-pagination"></div>
        <!-- !pagination dots -->
    </div>

    <div class="container py-5">
        <div class="row">
            <div class="col-12">
                <h3>Recent Artworks</h3>
                <hr>
            </div>

            <% artworks.forEach(artwork => { %>
                <div class="col-12 col-sm-6 col-md-4 col-lg-3">
                    <div class="card mb-4">
                        <% if (artwork.image) { %> 
                        <img src="<%= artwork.image %>" class="card-img-top" alt="Logotipo">
                        <% } else { %>
                        <img src="/images/img-default.jpg" class="card-img-top" alt="Logotipo">
                        <% } %>
                        <div class="card-body text-center">
                            <h5 class="card-title"><%= artwork.title %></h5>
                            <p class="card-text">$<%= artwork.price.toFixed(2).padStart(5,'0') %></p>
                            <a href="/artwork/<%= artwork.idartwork %> " class="btn btn-primary px-4">View artwork</a>
                        </div>
                    </div>
                </div>
            <%}); %> 
        </div>

        <div class="row mt-3">
            <div class="col-12">
                <h3>Artist</h3>
                <hr>
            </div>

            <% artists.forEach(artist => { %>
                <div class="col-lg-3">
                    <div class="card border-0 text-center">
                        <div class="card-body">
                            <img src="https://dummyimage.com/512x512.jpg" class="px-2 img-fluid rounded-circle" alt="Logotipo">

                            <h5 class="card-title"><%= artist.artistic_name %></h5>
                            <p class="card-text"><%= artist.email %></p>
                            <p>
                                <i class="fab fa-facebook-square mx-1"></i> 
                                <i class="fab fa-twitter-square mx-1"></i>
                                <i class="fab fa-linkedin mx-1"></i>
                            </p>
                            <a href="/user/profile/<%= artist.username %> " class="btn btn-primary px-4">View profile</a>
                        </div>
                    </div>
                </div>
            <% }); %> 
        </div>
    </div>
</main>